resulting types should be 3 * INTEGER PTR and 3 * DerivedUdt PTR
INTEGER PTR
INTEGER PTR
INTEGER PTR
DERIVEDUDT PTR
DERIVEDUDT PTR
DERIVEDUDT PTR

should all be UBYTE PTR:
UBYTE PTR
UBYTE PTR
UBYTE PTR

should be ULONG PTR:
ULONG PTR

should all be UINTEGER PTR:
UINTEGER PTR
UINTEGER PTR
UINTEGER PTR
